This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1272745 - Add "Confirm host has been rebooted" to Rest-Api
Add "Confirm host has been rebooted" to Rest-Api
Status: CLOSED NOTABUG
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
3.6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Juan Hernández
Pavel Stehlik
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 08:07 EDT by Ori Gofen
Modified: 2016-05-25 21:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 08:35:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ogofen: planning_ack?
ogofen: devel_ack?
ogofen: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Ori Gofen 2015-10-18 08:07:42 EDT
Description of problem:
"Confirm host has been rebooted" command is needed upon rebooting a hypervisor in order to stop SPM operations on hosts, 'power off' (db action) vms, and start soft fencing.
Afaik right now this command is not aligned to RestApi, and is needed for Automation purposes.

Version-Release number of selected component (if applicable):
rhevm-3.6-17

How reproducible:
100%
Comment 1 Oved Ourfali 2015-10-19 01:47:37 EDT
No such whiteboard api. Api is under infra.
Comment 2 Juan Hernández 2015-10-19 05:45:01 EDT
This is already available:

  POST /hosts/{host:id}/fence
  <action>
    <fence_type>manual</fence_type>
  </action>

Please check that it works and close as NOTABUG.
Comment 3 Tomas Jelinek 2015-12-17 08:35:12 EST
this is already implemented: closing according to comment 2

Note You need to log in before you can comment on or make changes to this bug.